## gradle 2.13

=== debian/changelog ===
gradle (2.13-4) unstable; urgency=emergency

  * Make all dependencies versionless (Closes: #836391)
  * Drop 30_envjs.diff: simpleframework is already in Debian
  * d/gradle.desktop: Add zh-HK translation

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 04 Sep 2016 22:41:19 +0800

gradle (2.13-3) unstable; urgency=high

  * Team upload.
  * Use a versionless dependency on groovy-all in the classpath of the modules
  * Use a versionless dependency on httpcore in the classpath
    of the resources-http module

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Jun 2016 10:09:10 +0200

gradle (2.13-2) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency on ant-optional for libgradle-plugins-java
    (required to use groovy-ant in gradle-plugins)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 May 2016 09:33:06 +0200

gradle (2.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Transition to Jetty 9 (patch imported from Fedora, thanks to Michal Srb)
  * Modified the Groovy jar detection logic to recognize the jar
    in the system Maven repository

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 May 2016 22:10:23 +0200
