=== debian/control ===
Source: gradle
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>,
           Damien Raude-Morvan <drazzib@debian.org>,
           Kai-Chung Yan <seamlikok@gmail.com>
Section: java
Priority: optional
Build-Depends: ant,
               bnd (>= 2.1.0),
               checkstyle,
               debhelper (>= 9),
               default-jdk (>= 1:1.6),
               default-jdk-doc,
               dh-exec,
               docbook-xsl,
               findbugs,
               gradle (>= 2.5),
               groovy (>= 2.3.10),
               groovy-doc,
               ivy,
               javahelper,
               junit4,
               libantlr-java,
               libasm-java (>= 5.0),
               libatinject-jsr330-api-java,
               libbcpg-java,
               libcglib-nodep-java,
               libclassycle-java,
               libcommons-cli-java,
               libcommons-collections3-java,
               libcommons-io-java,
               libcommons-lang-java (>= 2.6),
               libcommons-lang3-java,
               libcore-renderer-java,
               libdom4j-java,
               libgoogle-gson-java,
               libguava-java,
               libhttpclient-java,
               libhttpcore-java,
               libjansi-java,
               libjarjar-java,
               libjatl-java,
               libjaxen-java,
               libjetty9-java,
               libjetty9-extra-java,
               libjcifs-java,
               libjcip-annotations-java,
               libjhighlight-java,
               libjsch-java,
               libjsoup-java,
               libjna-java,
               libjs-jquery,
               libkryo-java,
               liblogback-java,
               libmaven3-core-java (>= 3.3.3),
               libnative-platform-java (>= 0.10),
               libnekohtml-java,
               libobjenesis-java,
               libpegdown-java,
               libplexus-containers1.5-java,
               libplexus-interpolation-java,
               libplexus-utils-java,
               libpolyglot-maven-java,
               librhino-java,
               libservlet3.1-java,
               libsimple-http-java,
               libslf4j-java,
               libspock-java (>= 0.7),
               libtomcat8-java,
               libxalan2-java,
               libxbean-java,
               libxerces2-java,
               libxslthl-java,
               maven-repo-helper,
               pandoc,
               testng
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/gradle.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/gradle.git
Homepage: http://gradle.org

Package: gradle
Architecture: all
Depends: default-jre-headless (>= 1:1.6) | java7-runtime-headless | java6-runtime-headless,
         libgradle-core-java (>= ${binary:Version}),
         libgradle-plugins-java (>= ${binary:Version}),
         ${misc:Depends}
Breaks: libgradle-core-java (<< 1.12)
Replaces: libgradle-core-java (<< 1.12)
Suggests: default-jre
Description: Powerful build system for the JVM
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.
 .
 Gradle has an GUI interface by using "gradle --gui". If you want to use it,
 default-jre must be installed to provide GUI functionalities.

Package: libgradle-core-java
Architecture: all
Depends: ant,
         groovy (>= 2.3.10),
         ivy,
         libasm-java (>= 5.0),
         libatinject-jsr330-api-java,
         libcommons-collections3-java,
         libcommons-io-java,
         libcommons-lang-java (>= 2.6),
         libguava-java,
         libhttpclient-java,
         libhttpcore-java,
         libjansi-java,
         libjarjar-java,
         libjcifs-java,
         libjcip-annotations-java,
         libjna-java,
         libjsch-java,
         libkryo-java,
         liblogback-java,
         libnative-platform-java (>= 0.10),
         libnekohtml-java,
         libreflectasm-java,
         libslf4j-java,
         libxbean-java,
         ${misc:Depends}
Breaks: libgradle-wrapper-java,
        libgradle-plugins-java (<< 1.12)
Replaces: libgradle-wrapper-java,
          libgradle-plugins-java (<< 1.12)
Description: Powerful build system for the JVM - Core libraries
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.
 .
 This package contains the Gradle Core API library.

Package: libgradle-plugins-java
Architecture: all
Depends: ant-optional,
         bnd (>= 2.1.0),
         findbugs,
         junit4,
         libantlr-java,
         libatinject-jsr330-api-java,
         libbcpg-java,
         libcommons-cli-java,
         libdom4j-java,
         libgoogle-gson-java,
         libgradle-core-java (>= ${binary:Version}),
         libjatl-java,
         libjaxen-java,
         libjetty9-java,
         libjetty9-extra-java,
         libjs-jquery,
         libmaven3-core-java (>= 3.3.3),
         libobjenesis-java,
         libplexus-containers1.5-java,
         libplexus-interpolation-java,
         libplexus-utils-java,
         libpolyglot-maven-java,
         librhino-java,
         libservlet3.1-java,
         libsimple-http-java,
         libtomcat8-java,
         libxerces2-java,
         testng,
         ${misc:Depends}
Breaks: libgradle-announce-java,
        libgradle-antlr-java,
        libgradle-code-quality-java,
        libgradle-ear-java,
        libgradle-ide-java,
        libgradle-javascript-java,
        libgradle-jetty-java,
        libgradle-maven-java,
        libgradle-osgi-java,
        libgradle-scala-java,
        libgradle-signing-java,
        libgradle-core-java (<< 1.12)
Replaces: libgradle-announce-java,
          libgradle-antlr-java,
          libgradle-code-quality-java,
          libgradle-ear-java,
          libgradle-ide-java,
          libgradle-javascript-java,
          libgradle-jetty-java,
          libgradle-maven-java,
          libgradle-osgi-java,
          libgradle-scala-java,
          libgradle-signing-java,
          libgradle-core-java (<< 1.12)
Description: Powerful build system for the JVM - All plugins
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.
 .
 This package contains the standard Gradle plugins except for the Sonar and the
 Sonar Runner plugin, and it does not support Zinc Scala compiler.

Package: gradle-doc
Architecture: all
Section: doc
Depends: default-jdk-doc,
         groovy-doc,
         ${misc:Depends}
Description: Powerful build system for the JVM - Documentations
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.
 .
 This package contains Gradle API Javadoc and Groovydoc.
