## gradle 3.1

=== debian/changelog ===
gradle (3.1-2) unstable; urgency=medium

  * d/control:
    * Requires JDK >= 7 as the upstream does
    * libgradle-plugins-java Breaks & Replaces libgradle-core-java (<< 3.1-1~)
      because gradle-wrapper.jar is moved. This may be able to fix #844336.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 16 Nov 2016 14:07:14 +0800

gradle (3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #844020)
  * Rename javadoc directory: /usr/share/doc/gradle/{javadoc => api}
  * Update to debhelper 10
  * d/gradle.desktop: Improve zh-TW translation
  * Move gradle-wrapper.jar from libgradle-core-java to libgradle-plugins-java
  * gradle-doc: Install DSL documentations and release notes
  * Use javahelper to install Javadoc
  * No longer embed Class-Path in JAR manifests since Gradle uses its own class
    loading mechanism, otherwise 2 sets of the same JARs will be loaded
  * d/gradle-doc.lintian-overrides: Override duplicate-files since they are
    example files not mistakes and the warnings are annoying
  * Drop/new patches:
    - disable_tests.diff: Now use a cleaner way to bypass tests
    - disable_sonar.diff: Upstream dropped the sonar plugin
    + drop_http-builder.patch: http-builder is not in Debian yet
    + new_APIs_in_3.0.patch
    + disable_Kotlin.patch
    + disable_buildSrc_tests.patch
    + dependency-management_depends_on_testkit.patch: Otherwise ZIP I/O errors
    + Groovy_projects_depends_on_localGroovy.patch: Otherwise errors
    + remove_timestamps.patch: Improve reproducibility by manually setting
      timestamps and other dynamic properties
    + drop_jmh-gradle-plugin.patch: jmh-gradle-plugin is not in Debian yet
  * New JARs:
    * gradle-composite-builds.jar
    * gradle-ide-play.jar
    * gradle-installation-beacon.jar
    * gradle-jvm-services.jar
    * gradle-logging.jar
    * gradle-process-services.jar
    * gradle-task-cache-http.jar
  * d/control:
    * Build-Depends on libfindbugs instead of findbugs
    * Restrict dependencies:
      * groovy >= 2.4.7
      * gradle >= 2.13
      * libnative-platform-java >= 0.11
    * gradle now Suggests gradle-doc (Closes: #843211)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 14 Nov 2016 13:34:34 +0800
