## gradle 3.2.1

=== debian/changelog ===
gradle (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Skip the internalAndroidPerformanceTesting build

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Dec 2016 11:31:24 +0100
