=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
 Build-Depends: ant,
                bnd (>= 2.1.0),
                checkstyle,
-               debhelper (>= 9),
-               default-jdk (>= 1:1.6),
+               debhelper (>= 10),
                default-jdk-doc,
+               default-jdk-headless | default-jdk (>= 2:1.7),
                dh-exec,
                docbook-xsl,
-               findbugs,
-               gradle (>= 2.5),
-               groovy (>= 2.3.10),
+               gradle (>= 2.13),
+               groovy (>= 2.4.7),
                groovy-doc,
                ivy,
                javahelper,
@@ -33,6 +32,7 @@
                libcommons-lang3-java,
                libcore-renderer-java,
                libdom4j-java,
+               libfindbugs-java,
                libgoogle-gson-java,
                libguava-java,
                libhttpclient-java,
@@ -41,19 +41,19 @@
                libjarjar-java,
                libjatl-java,
                libjaxen-java,
+               libjcifs-java,
+               libjcip-annotations-java,
                libjetty9-java,
                libjetty9-extra-java,
-               libjcifs-java,
-               libjcip-annotations-java,
                libjhighlight-java,
+               libjna-java,
+               libjs-jquery,
                libjsch-java,
                libjsoup-java,
-               libjna-java,
-               libjs-jquery,
                libkryo-java,
                liblogback-java,
                libmaven3-core-java (>= 3.3.3),
-               libnative-platform-java (>= 0.10),
+               libnative-platform-java (>= 0.11),
                libnekohtml-java,
                libobjenesis-java,
                libpegdown-java,
@@ -81,13 +81,13 @@
 
 Package: gradle
 Architecture: all
-Depends: default-jre-headless (>= 1:1.6) | java7-runtime-headless | java6-runtime-headless,
+Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
          libgradle-core-java (>= ${binary:Version}),
          libgradle-plugins-java (>= ${binary:Version}),
          ${misc:Depends}
 Breaks: libgradle-core-java (<< 1.12)
 Replaces: libgradle-core-java (<< 1.12)
-Suggests: default-jre
+Suggests: default-jre, gradle-doc
 Description: Powerful build system for the JVM
  Gradle is a build tool with a focus on build automation and support for
  multi-language development. If you are building, testing, publishing, and
@@ -104,7 +104,7 @@
 Package: libgradle-core-java
 Architecture: all
 Depends: ant,
-         groovy (>= 2.3.10),
+         groovy (>= 2.4.7),
          ivy,
          libasm-java (>= 5.0),
          libatinject-jsr330-api-java,
@@ -122,7 +122,7 @@
          libjsch-java,
          libkryo-java,
          liblogback-java,
-         libnative-platform-java (>= 0.10),
+         libnative-platform-java (>= 0.11),
          libnekohtml-java,
          libreflectasm-java,
          libslf4j-java,
@@ -148,13 +148,13 @@
 Architecture: all
 Depends: ant-optional,
          bnd (>= 2.1.0),
-         findbugs,
          junit4,
          libantlr-java,
          libatinject-jsr330-api-java,
          libbcpg-java,
          libcommons-cli-java,
          libdom4j-java,
+         libfindbugs-java,
          libgoogle-gson-java,
          libgradle-core-java (>= ${binary:Version}),
          libjatl-java,
@@ -186,7 +186,7 @@
         libgradle-osgi-java,
         libgradle-scala-java,
         libgradle-signing-java,
-        libgradle-core-java (<< 1.12)
+        libgradle-core-java (<< 3.1-1~)
 Replaces: libgradle-announce-java,
           libgradle-antlr-java,
           libgradle-code-quality-java,
@@ -198,7 +198,7 @@
           libgradle-osgi-java,
           libgradle-scala-java,
           libgradle-signing-java,
-          libgradle-core-java (<< 1.12)
+          libgradle-core-java (<< 3.1-1~)
 Description: Powerful build system for the JVM - All plugins
  Gradle is a build tool with a focus on build automation and support for
  multi-language development. If you are building, testing, publishing, and
