=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,8 @@
 GRADLE_FLAGS = --project-prop finalRelease=true --offline --stacktrace \
                --gradle-user-home debian/.gradlehome --no-daemon \
                $(patsubst %,-x :%:assemble,$(GRADLE_EXCLUDED_PROJECTS)) \
+               -x :internalAndroidPerformanceTesting:renameAndroidTools \
+               -x :internalAndroidPerformanceTesting:jar \
                -x userguidePdf -x :killExistingDaemons
 
 # Support for DEB_BUILD_OPTIONS parallel=n
@@ -37,6 +39,7 @@
 	ln -s ../../../../subprojects/dependency-management/src/main/java/org/gradle/api/internal/runtimeshaded/PackageListGenerator.java buildSrc/src/main/java/PackageListGenerator.java
 	ln -s ../../../../subprojects/dependency-management/src/main/java/org/gradle/api/internal/runtimeshaded/Trie.java buildSrc/src/main/java/Trie.java
 	ln -s ../../../../subprojects/core/src/main/java/org/gradle/api/tasks/OrderSensitive.java buildSrc/src/main/java/OrderSensitive.java
+	ln -s ../../../../subprojects/core/src/main/java/org/gradle/api/tasks/Classpath.java buildSrc/src/main/java/Classpath.java
 	gradle $(GRADLE_TASKS) $(GRADLE_FLAGS) 
 	pandoc -s -o debian/gradle.1 debian/gradle.1.md
