## gradle 3.4.1

=== debian/changelog ===
gradle (3.4.1-7ubuntu1) bionic; urgency=medium

  * debian/patches/gnu-style-release-flag-jdk9.patch: Use GNU-style release
    flag for Java 9 compiler. (Closes: #895616)
  * debian/patches/docs.patch: use default-jdk-doc instead of default-jdk
    path for javaApiUrl in subprojects/docs/docs.gradle. LP: #1765866.
    (Closes: #896436)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Fri, 20 Apr 2018 22:03:01 +0000

gradle (3.4.1-7) unstable; urgency=medium

  * Team upload.
  * Update groovy-jar.patch and fix runtime errors with new Groovy versions.
    (Closes: #895455)
  * Declare compliance with Debian Policy 4.1.4.

 -- Markus Koschany <apo@debian.org>  Wed, 11 Apr 2018 23:19:46 +0200

gradle (3.4.1-6) unstable; urgency=medium

  * Team upload.
  * Improved the Java 8 compatibility patch

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Apr 2018 08:39:52 +0200

gradle (3.4.1-5) unstable; urgency=medium

  * Team upload.
  * Backported a fix to support the javac --module-source-path option
  * Fixed the build failure with Ant 1.10 (Closes: #894641)
  * Fixed a runtime error when Gradle is built with Java 9 and runs with Java 8
    (LP: #1760359)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 04 Apr 2018 17:25:28 +0200

gradle (3.4.1-4) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Update jansi.patch to avoid missing groupId in gradle-logging.pom.
    This addresses FTBFS in packages that transitively depend upon
    gradle-logging.
  * Add Apache NOTICE file to gradle binary package docs.

  [ Emmanuel Bourg ]
  * Switch to debhelper level 11

 -- tony mancill <tmancill@debian.org>  Sun, 25 Mar 2018 12:05:10 -0700

gradle (3.4.1-3) experimental; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Removed the build dependency on libwagon2-java
  * Standards-Version updated to 4.1.2

  [ Tiago Daitx ]
  * d/p/cast-estimated-runtime-to-long.patch: fix FTBFS due to missing cast.
    (Closes: #893487)
  * d/p/support-running-gradle-on-jdk-10-500485df3a18.patch,
    d/p/add-test-case-for-10-internal_c1fe5e40a76b.patch,
    d/p/support-zulu9-version-number_d9c35cf9d74c.patch: prevent failures when
    building projects with openjdk 9.

  [ tony mancill ]
  * Bump Standards-Version to 4.1.3
  * Remove Damien Raude-Morvan from Uploaders (Closes: #889385)

 -- tony mancill <tmancill@debian.org>  Sat, 24 Mar 2018 20:41:32 -0700

gradle (3.4.1-2) experimental; urgency=medium

  * Team upload.
  * libgradle-core-java.links: Fix symlink of gradle-version-info.jar.
  * Update use-local-artifacts.patch and register junit4 instead of junit as an
    external module. This will fix the build failure with Mockito.

 -- Markus Koschany <apo@debian.org>  Wed, 29 Nov 2017 16:09:02 +0100

gradle (3.4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 3.4.1.
  * Remove the symlink and entry for subproject gradle-task-cache-http because
    it is gone.
  * Drop fix-classpath-annotation.patch. Apparently it is no longer required.
  * Refresh and update all other patches to make the package compile.
  * Fix two FTBFS by adding jansi.patch and commons-io.patch.
  * Symlink WriteProperties.java and PropertiesUtils.java into buildSrc
    directory to avoid another FTBFS due to missing WriteProperties class.
  * Tighten build-dependency of libnative-platform-java to >= 0.14.
  * libgradle-core-java: Install new gradle-workers and gradle-version-info jar.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Nov 2017 16:59:33 +0100

gradle (3.2.1-5) unstable; urgency=medium

  * Team upload.
  * No longer use the wagon2 artifacts
  * Depend on plexus-classworlds instead of plexus-classworlds2

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 11 Nov 2017 10:13:24 +0100

gradle (3.2.1-4) unstable; urgency=medium

  * Team upload.
  * Fixed the 'Cannot find JAR' error with plexus-component-annotations 1.7.1-6
  * Depend on libxbean-reflect-java instead of libxbean-java
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 09 Nov 2017 02:27:56 +0100

gradle (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Use the maven-resolver jars instead of eclipse-aether

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Sep 2017 11:00:16 +0200

gradle (3.2.1-2) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871856)
  * Update copyright info.

  [ Emmanuel Bourg ]
  * Depend on libplexus-component-annotations-java and
    libplexus-container-default1.5-java instead of libplexus-containers1.5-java
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Sep 2017 11:06:08 +0200
