=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: gradle
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>,
-           Damien Raude-Morvan <drazzib@debian.org>,
-           Kai-Chung Yan <seamlikok@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
 Section: java
 Priority: optional
 Build-Depends: ant,
                bnd (>= 2.1.0),
                checkstyle,
-               debhelper (>= 10),
+               debhelper (>= 11),
                default-jdk-doc,
                default-jdk-headless | default-jdk (>= 2:1.7),
                dh-exec,
@@ -52,12 +51,13 @@
                libjsoup-java,
                libkryo-java,
                liblogback-java,
-               libmaven3-core-java (>= 3.3.3),
-               libnative-platform-java (>= 0.11),
+               libmaven3-core-java (>= 3.5.0),
+               libnative-platform-java (>= 0.14),
                libnekohtml-java,
                libobjenesis-java,
                libpegdown-java,
-               libplexus-containers1.5-java,
+               libplexus-component-annotations-java (>= 1.7.1-6~),
+               libplexus-container-default1.5-java,
                libplexus-interpolation-java,
                libplexus-utils-java,
                libpolyglot-maven-java,
@@ -67,14 +67,16 @@
                libslf4j-java,
                libspock-java (>= 0.7),
                libtomcat8-java,
+               libwagon-file-java,
+               libwagon-http-java,
                libxalan2-java,
-               libxbean-java,
+               libxbean-reflect-java,
                libxerces2-java,
                libxslthl-java,
                maven-repo-helper,
                pandoc,
                testng
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/gradle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/gradle.git
 Homepage: http://gradle.org
@@ -126,7 +128,7 @@
          libnekohtml-java,
          libreflectasm-java,
          libslf4j-java,
-         libxbean-java,
+         libxbean-reflect-java,
          ${misc:Depends}
 Breaks: libgradle-wrapper-java,
         libgradle-plugins-java (<< 1.12)
@@ -162,9 +164,10 @@
          libjetty9-java,
          libjetty9-extra-java,
          libjs-jquery,
-         libmaven3-core-java (>= 3.3.3),
+         libmaven3-core-java (>= 3.5.0),
          libobjenesis-java,
-         libplexus-containers1.5-java,
+         libplexus-component-annotations-java,
+         libplexus-container-default1.5-java,
          libplexus-interpolation-java,
          libplexus-utils-java,
          libpolyglot-maven-java,
@@ -172,6 +175,8 @@
          libservlet3.1-java,
          libsimple-http-java,
          libtomcat8-java,
+         libwagon-file-java,
+         libwagon-http-java,
          libxerces2-java,
          testng,
          ${misc:Depends}
