=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,10 @@
 
 override_dh_auto_build:
 	mkdir --parents buildSrc/src/main/java
-	# These symlinks are due to new APIs introduced in Gradle 3.1
-	ln -s ../../../../subprojects/dependency-management/src/main/java/org/gradle/api/internal/runtimeshaded/PackageListGenerator.java buildSrc/src/main/java/PackageListGenerator.java
-	ln -s ../../../../subprojects/dependency-management/src/main/java/org/gradle/api/internal/runtimeshaded/Trie.java buildSrc/src/main/java/Trie.java
-	ln -s ../../../../subprojects/core/src/main/java/org/gradle/api/tasks/OrderSensitive.java buildSrc/src/main/java/OrderSensitive.java
-	ln -s ../../../../subprojects/core/src/main/java/org/gradle/api/tasks/Classpath.java buildSrc/src/main/java/Classpath.java
-	gradle $(GRADLE_TASKS) $(GRADLE_FLAGS) 
+	# These symlinks are due to new APIs introduced in Gradle 3.4.1
+	ln -s ../../../../subprojects/core/src/main/java/org/gradle/api/tasks/WriteProperties.java buildSrc/src/main/java/WriteProperties.java
+	ln -s ../../../../subprojects/core/src/main/java/org/gradle/api/internal/PropertiesUtils.java buildSrc/src/main/java/PropertiesUtils.java
+	gradle $(GRADLE_TASKS) $(GRADLE_FLAGS)
 	pandoc -s -o debian/gradle.1 debian/gradle.1.md
 
 override_dh_auto_clean:
