=== debian/watch ===
version=4
http://services.gradle.org/distributions /distributions/@PACKAGE@-([\d\.]+)-src@ARCHIVE_EXT@
